:root {
  --darkcyan: #00838f;
  --lightcyan: #00edd9;
  --darkcoolgray: #37474f;
  --gray: #6e6e6e;
  --medgray: #8e8e8e;
  --lightgray: #bec2c4;
  --darkgray: #212121;
  --yellow: #fdc22d;
  --darkyellow: #e0a100;
  --purple: #6e2c66;
  --white: #d1d1d1;
  /*https://color.adobe.com/create/color-wheel/?base=0&rule=Custom&selected=4&name=My%20Color%20Theme&mode=hsv&rgbvalues=0.9921568627450981,0.7607843137254902,0.17647058823529413,1,1,1,0,0.5137254901960784,0.5607843137254902,0.43137254901960786,0.43137254901960786,0.43137254901960786,0,0.93,0.852499999999859&swatchOrder=1,2,4,0,3*/

  --ubuntu: 'Ubuntu Mono', monospace;
  --gabriela: 'Gabriela', serif;
  --lato: 'Lato', sans-serif;
  --open: 'Open Sans';
}

html,
body {
  width: 100%;
  min-width: 320px;
  height: 100%;
  margin: 0;
  padding: 0;
  /*overflow-x: hidden;*/
}

body {
  background-color: var(--med);
  line-height: 1.7em;
  color: white;
  font-family: var(--ubuntu);
  font-size: 18px;
  background: url('./images/linen.png') top left repeat, radial-gradient(circle, var(--gray), var(--darkgray));
}

h1,
h2,
h3,
h4,
h5,
h6,
label {
  color: white;
  font-family: var(--gabriela);
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus textarea:-webkit-autofill,
textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  /* border: 1px solid green; */
  -webkit-text-fill-color: black;
  -webkit-box-shadow: 0 0 0px 1000px #000 inset;
  transition: background-color 5000s ease-in-out 0s;
}
a:link {
  color: inherit;
  text-decoration: none;
  font-family: var(--gabriela);
}

a:visited {
  color: #e6e6e6ff;
}
a:hover {
  color: var(--yellow);
}
a:active {
  color: var(--yellow);
}

p {
  font-size: 1em;
  font-weight: 300;
  font-family: var(--lato);
}

.wrapper {
  /* The height needs to be set to a fixed value for the effect to work.
   * 100vh is the full height of the viewport. */
  height: 100vh;
  /* The scaling of the images would add a horizontal scrollbar, so disable x overflow. */
  overflow-x: hidden;
  /* Enable scrolling on the page. */
  overflow-y: auto;
  /* Set the perspective to 2px. This is essentailly the simulated distance from the viewport to transformed objects.*/
  perspective: 2px;
}

.main {
  /* overflow-x: auto; */
  display: grid;
  grid-template-rows: repeat(5, auto);
  grid-row-gap: 2em;
  grid-template-areas:
    'header'
    'hero'
    'teacher'
    'newsletter'
    'footer';
}

header {
  background: linear-gradient(to top, rgba(243, 243, 243, 0), rgba(0, 0, 0, 0.5));
  display: grid;
  grid-area: header;
  height: 8em;
  grid-template:
    'logo' auto
    'navbar' auto;
  align-items: start;
  justify-items: center;
}

#logo {
  padding: 1em;
  margin-bottom: -3em;
  text-align: center;
  font-weight: bold;
  display: inline-block;
  grid-area: logo;
}

nav {
  grid-area: navbar;
  align-self: start;
}

nav ul {
  list-style-type: none;
  float: none;
  padding: unset;
}

ul li {
  display: inline;
  color: white;
  margin: 0 1em;
}

@media screen and (min-width: 35.5em) {
  header {
    justify-items: normal;
    grid-template: 'logo navbar' / fit-content(20%) auto;
  }
  nav ul {
    float: right;
  }
}

section {
  position: relative;
}

section#hero-section {
  min-height: 95vh;
  grid-area: hero;
  display: grid;
  grid-template: 'ladybytes' 'values' 'playground';
  grid-gap: 3em;
  margin-top: 5em;
}

section#hero-section #ladybytes {
  font-family: var(--ubuntu); /*font-family: var(--lato); */
  align-self: center;
  margin-top: 1em;
  margin-bottom: 0;
  width: 100%;
  text-align: center;
  grid-area: ladybytes;
}

section#hero-section #ladybytes span.ladybytes {
  font-size: 6em;
  font-family: var(--ubuntu);
  font-variant: small-caps;
  font-weight: 600;
  letter-spacing: -4px;
}

section#hero-section #ladybytes span.lady {
  color: var(--yellow);
}

section#hero-section #ladybytes #slogan h2 {
  text-align: center;
  font-size: 1.2em;
}

section#hero-section #values {
  grid-area: values;
  display: grid;
  grid-template: 'skill' 'donation' 'experience' auto;
  justify-items: center;
  margin-bottom: 2em;
}

section#hero-section #values #skill-value {
  grid-area: skill;
}

section#hero-section #values #experience-value {
  grid-area: experience;
}

section#hero-section #values #donation-value {
  grid-area: donation;
}

section#hero-section #values .value {
  min-height: 10em;
  width: 80%;
}

section#hero-section #values .value p {
  text-align: justify;
  text-align-last: center;
  font-size: 1.2em;
  width: 90%;
  height: 5em;
  margin: 0 auto;
  font-family: var(--lato);
}

section#hero-section #values .value .small-value {
  font-size: 0.8em;
}

section#hero-section #values .value .value-text {
  /* border: rgba(253, 194, 45, 0) solid 0.5px; */
  margin: 1em;
}

section#hero-section #values .value .value-text .value-cta {
  cursor: pointer;
  font-weight: bold;
  /* color: var(--yellow); */
}
section#hero-section #values .value .value-text .value-cta:hover {
  color: var(--yellow);
}

section#hero-section #values .value h2 {
  color: var(--yellow);
  text-align: center;
  margin-bottom: -2%;
}

section#hero-section #values .value h3 {
  text-align: center;
  font-size: 1.4em;
}

section#hero-section #values .value .value-text:hover {
  /* box-shadow: inset 0 0 1em rgba(253, 194, 45, 0.7), 0 0 1em rgba(253, 194, 45, 0.7); */
  /* border-radius: 5px; */
  /* border: rgba(253, 194, 45, 0.5) solid 0.5px; */
}

@media screen and (min-width: 0em) and (max-width: 360px) {
  section#hero-section #ladybytes span.ladybytes {
    font-size: 5em;
  }
}

@media screen and (min-width: 35.5em) {
  section#hero-section #values .value {
    width: 60%;
  }
}

@media screen and (min-width: 48em) {
  section#hero-section #ladybytes span.ladybytes {
    font-size: 11em;
  }

  section#hero-section #ladybytes #slogan h2 {
    font-size: 1.5em;
  }
  section#hero-section #values {
    grid-template: 'skill experience donation';
    grid-auto-columns: 33.3%;
  }

  section#hero-section #values .value {
    width: 80%;
  }
}

@media screen and (min-width: 80em) {
  section#hero-section #ladybytes span.ladybytes {
    font-size: 13em;
  }

  section#hero-section #ladybytes #slogan h2 {
    font-size: 1.5em;
  }
  section#hero-section #values .value {
    width: 70%;
  }
}

section#hero-section #playground {
  grid-area: playground;
  justify-self: center;
  align-self: center;
}

section#hero-section #playground div#prompt {
  font-family: var(--ubuntu);
  /* padding-left: 1em; */
  padding: 1em;
  -moz-box-shadow: inset -1px -1px 2px #ccc;
  -webkit-box-shadow: inset -1px -1px 2px #ccc;
  box-shadow: inset -1px -1px 2px #ccc;
  border-radius: 5px;
  background-color: var(--darkgray);
  color: #fff;
  /* margin: 3em; */
  /* width: 30em;
  height: 25em; */
}

section#hero-section #playground div#prompt .comment {
  color: var(--lightgray);
  margin-bottom: 0.2em;
}

section#hero-section #playground div#prompt input {
  font-family: var(--ubuntu);
  font-size: 1em;
  background-color: transparent;
  cursor: text;
  color: white;
  margin-left: 0.7em;
  border: none;
  padding: 0.4em 0.6em;
  box-shadow: inset -1px -1px 2px #ccc;
  border-radius: 5px;
}

section#hero-section #playground div#prompt input::-webkit-calendar-picker-indicator {
  background-color: transparent;
}

section#hero-section #playground div#prompt input:-webkit-autofill,
section#hero-section #playground div#prompt input:-webkit-autofill:hover,
section#hero-section
  #playground
  div#prompt
  input:-webkit-autofill:focus
  section#hero-section
  #playground
  div#prompt
  textarea:-webkit-autofill,
section#hero-section
  #playground
  div#prompt
  textarea:-webkit-autofill:hover
  section#hero-section
  #playground
  div#prompt
  textarea:-webkit-autofill:focus,
section#hero-section #playground div#prompt select:-webkit-autofill,
section#hero-section #playground div#prompt select:-webkit-autofill:hover,
section#hero-section #playground div#prompt select:-webkit-autofill:focus {
  /* border: 1px solid green; */
  -webkit-text-fill-color: white;
}

section#hero-section #playground div#prompt input::placeholder {
  color: white;
  opacity: 0.3;
}

section#hero-section #playground div#prompt input::selection {
  background: var(--darkyellow);
}

section#hero-section #playground div#prompt input:focus,
section#hero-section #playground div#prompt input:active {
  box-shadow: inset -1px -1px 2px var(--yellow);
  border-radius: 5px;
  outline: none;
}

section#teacher-section {
  min-height: 95vh;
  border-top: solid 1px white;
  border-bottom: solid 1px white;
  background: var(--yellow);

  color: var(--darkgray);

  display: grid;
  grid-area: teacher;
  grid-template: 'text' 'image'/ 1fr;
  justify-items: center;
  align-items: center;
}

section#teacher-section p {
  font-size: 1.2em;
}
section#teacher-section h4 {
  font-size: 1.3em;
}

section#teacher-section img.teacher {
  max-height: 200px;
  max-width: 200px;
  margin: 0 auto;
  display: block;

  border-radius: 50%;
  border: solid 1px white;
}

@media screen and (min-width: 35.5em) {
  section#teacher-section img.teacher {
    max-height: 300px;
    max-width: 300px;
  }
}
@media screen and (min-width: 48em) {
  section#teacher-section {
    grid-template: 'text image'/ 1.5fr 1fr;
  }

  section#teacher-section img.teacher {
    max-height: 500px;
    max-width: 500px;
  }
}

section#newsletter-section {
  min-height: 70vh;
  display: grid;
  grid-area: newsletter;
}

#newsletter-section .text {
  grid-area: text;

  width: 70%;
  text-align: justify;
}
#newsletter-section .text p {
  font-size: 1.2em;
}
#newsletter-signup-form {
  grid-area: form;
}

#newsletter-signup-form input.text-input:first-child {
  margin-bottom: 1em;
}

#newsletter-signup-form input.text-input {
  font-size: 0.8em;
  line-height: unset;
  color: var(--darkgray) !important;
  padding: 0.4em 0.6em;
  display: inline-block;
  border: 1px solid #ccc;
  box-shadow: inset 0 1px 3px #ddd;
  border-radius: 4px;
  box-sizing: border-box;
  width: 100%;
}

#newsletter-signup-form input.text-input:active,
#newsletter-signup-form input.text-input:focus {
  box-shadow: inset 0 0 1em rgba(253, 194, 45, 0.5), 0 0 1em rgba(253, 194, 45, 0.5);
  border: rgba(253, 194, 45, 0.8) solid 1px;
  outline: none;
}

.server-error {
  visibility: hidden;
  font-size: 0.75em;
  text-align: center;
}

.signup-btn {
  cursor: pointer;
  font-size: 1em;
  padding: 0.5em 2em;
  background: white;
  font-family: var(--gabriela);
  color: white;
  height: 80%;
  width: 90%;
  /*padding: 3% 3%;*/
  display: block;
  margin: 1em auto;
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
  border-radius: 15px;
  background-color: unset;
  transition: border-radius 0.3s, background-color 0.3s, box-shadow 0.3s, color 0.3s;
  box-shadow: inset 0 0 1em rgba(253, 194, 45, 0.5), 0 0 1em rgba(253, 194, 45, 0.5);
  border: var(--yellow) solid 2px;
}

.signup-btn:hover {
  border-radius: 20px;
  background-color: var(--yellow);
  box-shadow: inset 0 0 0 rgba(253, 194, 45, 0.5), 0 0 1.5em rgba(253, 194, 45, 0.7);
  background-image: linear-gradient(to top, rgba(0, 0, 0, 0.2), rgba(255, 255, 255, 0));
}
.signup-btn:focus {
  outline: none;
}

@media screen and (min-width: 0em) {
  body {
    font-size: 16px;
  }
  #newsletter-signup-form {
    width: 80%;
  }
  section#newsletter-section {
    grid-template-areas: 'text' 'form';
    grid-template-rows: repeat(2, auto);
    grid-template-columns: auto;
  }

  #newsletter-section .text,
  #newsletter-signup-form {
    justify-self: center;
  }
}
@media screen and (min-width: 48em) {
  #newsletter-signup-form {
    width: 60%;
    justify-self: start;
  }
  section#newsletter-section {
    grid-template: 'text form'/ 1fr 1fr;
    align-items: center;
    column-gap: 6em;
    grid-column-gap: 6em;
  }

  #newsletter-section .text {
    justify-self: end;
  }
}

@media screen and (min-width: 48em) {
  #newsletter-signup-form {
    /* width: 40%; */
  }
}

footer {
  min-height: 7em;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.4), rgba(243, 243, 243, 0));
  grid-area: footer;
  /* position: absolute; */
  bottom: 0;
  /* padding-bottom: 1em; */
  width: 100%;
}

footer p {
  font-family: var(--gabriela);
  text-align: center;
  padding-top: 3em;
}

.l-box {
  padding: 1em;
}

.l-box-lrg {
  padding: 2em;
}
.is-center {
  text-align: center;
}

.parallax::after {
  /* Display and position the pseudo-element */
  content: ' ';
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  /* Move the pseudo-element back away from the camera,
   * then scale it back up to fill the viewport.
   * Because the pseudo-element is further away, it appears to move more slowly, like in real life. */
  transform: translateZ(-1px) scale(1.5);
  /* Force the background image to fill the whole element. */
  background-size: 100%;
  /* Keep the image from overlapping sibling elements. */
  z-index: -1;
}
